#include <iostream>
#include <math.h>
#include <unordered_map>
using namespace std;

int main()
{
   unordered_map<int,int>brojacx, brojacy;
   int n, i, x, y, jvisak=0, jmanjak=0;
   cin >> n;
   int visak[n], manjak[n];
   for(i = 0; i < n; i++)
    {	
    	cin >> x >> y;
    	brojacx[x]++;
    	brojacy[y]++;
   	}
   	for(i = 0; i < n; i++)
   	{
   		if(brojacx[i+1] == 0)
		   {
		   	  manjak[jmanjak] = i+1;
		   	  jmanjak++;
		   }	
		if(brojacx[i+1] > 1)
		{
			int p = brojacx[i+1];
			while(p > 1)
			{
				visak[jvisak] = i+1;
				jvisak++;
				p--;				
			}
		}
	}
	int rez = 0;
	for(i = 0; i < jvisak; i++)
	{
		rez += abs(visak[i] - manjak[i]);
	}
	jvisak = 0; jmanjak = 0;
		for(i = 0; i < n; i++)
   	{
   		if(brojacy[i+1] == 0)
		   {
		   	  manjak[jmanjak] = i+1;
		   	  jmanjak++;
		   }	
		if(brojacy[i+1] > 1)
		{
			int p = brojacy[i+1];
			while(p > 1)
			{
				visak[jvisak] = i+1;
				jvisak++;
				p--;				
			}
		}
	}
	for(i = 0; i < jvisak; i++)
	{
		rez += abs(visak[i] - manjak[i]);
	}
	cout << rez;
    return 0;
}